Community
Arnold for Maya Forum
Rendering with Arnold in Maya using the MtoA plug-in.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Are MtoA 3.2.0 and Maya 2018.2 compatible?

2 REPLIES 2
SOLVED
Reply
Message 1 of 3
Anonymous
452 Views, 2 Replies

Are MtoA 3.2.0 and Maya 2018.2 compatible?

Good day,

I am strugling to get the new MtoA 3.2.0 to work in Maya 2018.2.

I have downloaded and installed the latest MtoA 3.2.0, on a network, from here https://www.arnoldrenderer.com/arnold/download/ selecting the windows, Maya 2018 option. Once I am in Maya I am unable to load the plug-in. It looks like this :

maya-plug-in.jpg

and returns this error: # is the server

// Error: file: C:/Program Files/Autodesk/Maya2018/scripts/others/pluginWin.mel line 290: Unable to dynamically load : //#/pipeline/DCC_Tools/common_binaries/Arnold/mtoa/2018_3.2/plug-ins/mtoa.mll The specified procedure could not be found. // // Error: file: C:/Program Files/Autodesk/Maya2018/scripts/others/pluginWin.mel line 290: The specified procedure could not be found. (mtoa) //

I have setup the .mod file: # is the server
+ MAYAVERSION:2018 PLATFORM:win64 mtoa any \\#\pipeline\DCC_Tools\common_binaries\Arnold\mtoa\2018_3.2
PATH +:= bin
MAYA_RENDER_DESC_PATH += \\#\pipeline\DCC_Tools\common_binaries\Arnold\mtoa\2018_3.2;

This is how I have set up every other version of MtoA that we have deployed on our network the last working one being MtoA 3.1.2.1

Any help will be appreciated.

Kind Regards
Malcolm van Aardt
Technical Supervisor
Triggerfish Animation Studios

Tags (2)
Labels (2)
2 REPLIES 2
Message 2 of 3
Stephen.Blair
in reply to: Anonymous

None of the Maya 2018 updates break binary compatibility (I didn't see anything in the release notes).

  • Check your environment by running system("set")
    In particular, look for anything in PATH that points to a different Arnold.
  • Run Process Monitor and check what happens after mtoa.mll is loaded


// Stephen Blair
// Arnold Renderer Support
Message 3 of 3
Anonymous
in reply to: Anonymous

@Stephen Blair

Thanks for the response. I used the Process Monitor and found that our conflict was coming from the lightshader.v.0.2 that we are using.

Kind Regards
Malcolm van Aardt
Technical Supervisor
Triggerfish Animation Studios

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums